"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useHover = void 0;
const react_1 = require("react");
const useHover = () => {
    const [active, setActive] = (0, react_1.useState)(false);
    const onHoverIn = () => setActive(true);
    const onHoverOut = () => setActive(false);
    return {
        hovered: active,
        onHoverIn,
        onHoverOut,
    };
};
exports.useHover = useHover;
